﻿using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface IReportProviderLogic
    {
        List<ReportCaseSpecializationViewModel> GetCaseSpecialization();

        List<ReportHearingLawyerViewModel> GetHearingLawyer(ReportBindingModel model);

        void SaveCaseSpecializationToWordFile(ReportBindingModel model);

        void SaveCaseSpecializationToExcelFile(ReportBindingModel model);

        void SaveHearingLawyerToPdfFile(ReportBindingModel model);
    }
}
